/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 02.04.2025
 * @author 
 */

public class Raum {
  
  // Anfang Attribute
  public String name;
  public double laenge;
  public double breite;
  public double hoehe;
  public int anzFenster;
  public int anzTueren;
  // Ende Attribute
  
  public Raum(String name, double laenge, double breite, double hoehe, int anzFenster, int anzTueren) {
    this.name = name;
    this.laenge = laenge;
    this.breite = breite;
    this.hoehe = hoehe;
    this.anzFenster = anzFenster;
    this.anzTueren = anzTueren;
  }

  // Anfang Methoden
  public double berFlaecheDecke() {
    
    return laenge*breite;
  }

  public double berFlaecheWaende() {
    double ergebniss = 0;
    ergebniss += 2*(hoehe*laenge);
    ergebniss += 2*(hoehe*breite);
    for (int i = 0; i < anzFenster; i++) {
      ergebniss -=  (1 * 1.2); 
    } 
    for (int i = 0; i < anzTueren; i++) {
      ergebniss -=  (0.9 * 2.1); 
    } 
    return ergebniss;
  }

  public double berFlaecheMalen() {
    return (berFlaecheWaende() + berFlaecheDecke());
  }

  // Ende Methoden
} // end of Raum
